## python-pymemcache 4.0.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pymemcache.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pymemcache.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pymemcache"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pymemcache"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

## python-pymemcache 1.2.4

=== debian/changelog ===
python-pymemcache (1.2.4-2~cloud0) trusty-juno; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 06 Sep 2014 14:37:23 -0400

python-pymemcache (1.2.4-2) unstable; urgency=medium

  * Added missing build-depends: python-nose, python3-nose.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Aug 2014 23:35:40 +0800

python-pymemcache (1.2.4-1) unstable; urgency=medium

  * Initial release. (Closes: #758135)

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Aug 2014 22:15:06 +0800

=== debian/control ===
Source: python-pymemcache
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le Bouder <goneri@debian.org>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-nose,
               python-setuptools,
               python-six,
               python3-all,
               python3-nose,
               python3-setuptools,
               python3-six
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pymemcache.git
Vcs-Git: git://anonscm.debian.org/openstack/python-pymemcache.git
Homepage: https://github.com/Pinterest/pymemcache

Package: python-pymemcache
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}
Description: comprehensive, fast, pure Python memcached client - Python 2.x
 Pymemcache is a comprehensive, fast, pure-Python memcached client. It supports
 the following features:
  * Complete implementation of the memcached text protocol.
  * Configurable timeouts for socket connect and send/recv calls.
  * Access to the "noreply" flag, which can significantly increase the speed of
    writes.
  * Flexible, simple approach to serialization and deserialization.
  * The (optional) ability to treat network and memcached errors as cache
    misses.
 .
 This package contains the Python 2.x module.

Package: python3-pymemcache
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python3:Depends}
Description: comprehensive, fast, pure Python memcached client - Python 3.x
 Pymemcache is a comprehensive, fast, pure-Python memcached client. It supports
 the following features:
  * Complete implementation of the memcached text protocol.
  * Configurable timeouts for socket connect and send/recv calls.
  * Access to the "noreply" flag, which can significantly increase the speed of
    writes.
  * Flexible, simple approach to serialization and deserialization.
  * The (optional) ability to treat network and memcached errors as cache
    misses.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/<please-user>/pymemcache.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-pymemcache; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-pymemcache; \
	done
	rm -rf $(CURDIR)/debian/python*-pymemcache/usr/lib/python*/dist-packages/*.pth

# This is needed for my jenkins build
override_dh_auto_clean:
	@echo "Nothing to do"

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e && for pyvers in $(PYTHONS) $(PYTHON3S); do \
		python$$pyvers setup.py nosetests ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/pymemcache pymemcache-(.*).tar.gz

## python-pymemcache 1.3.2

=== debian/changelog ===
python-pymemcache (1.3.2-3) unstable; urgency=medium

  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <novy@ondrej.org>  Sun, 28 Feb 2016 15:47:30 +0100

python-pymemcache (1.3.2-2) unstable; urgency=medium

  * Added missing python{3,}-mock depends (Closes: #795565).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Aug 2015 20:29:29 +0000

python-pymemcache (1.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Fixed upstream VCS url in debian/rules.
  * Fixed build-depends.
  * Removed Python 3.2 patch.
  * Added pytest as build-depends.
  * Fixed watch file to use github tag and not pypi.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Aug 2015 07:46:45 +0000

=== debian/control ===
--- 
+++ 
@@ -2,28 +2,32 @@
 Section: python
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Julien Danjou <acid@debian.org>,
-           Thomas Goirand <zigo@debian.org>,
-           Mehdi Abaakouk <sileht@sileht.net>,
-           Gonéri Le Bouder <goneri@debian.org>
+Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
-               python-all (>= 2.6.6-3~),
-               python-nose,
+               dh-python,
+               python-all,
                python-setuptools,
-               python-six,
                python3-all,
-               python3-nose,
                python3-setuptools,
-               python3-six
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pymemcache.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-pymemcache.git
+Build-Depends-Indep: python-nose,
+                     python-pytest,
+                     python-pytest-cov,
+                     python-mock,
+                     python-six,
+                     python3-nose,
+                     python3-pytest,
+                     python3-pytest-cov,
+                     python3-mock,
+                     python3-six,
+Standards-Version: 3.9.6
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-pymemcache?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-pymemcache -b debian/newton
 Homepage: https://github.com/Pinterest/pymemcache
 
 Package: python-pymemcache
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends},
+         ${python:Depends},
 Description: comprehensive, fast, pure Python memcached client - Python 2.x
  Pymemcache is a comprehensive, fast, pure-Python memcached client. It supports
  the following features:
@@ -39,8 +43,8 @@
 
 Package: python3-pymemcache
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends},
 Description: comprehensive, fast, pure Python memcached client - Python 3.x
  Pymemcache is a comprehensive, fast, pure-Python memcached client. It supports
  the following features:

=== debian/rules ===
--- 
+++ 
@@ -3,18 +3,18 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/<please-user>/pymemcache.git
+UPSTREAM_GIT := https://github.com/pinterest/pymemcache.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3
 
 override_dh_install:
-	set -e && for pyvers in $(PYTHONS); do \
+	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-pymemcache; \
 	done
-	set -e && for pyvers in $(PYTHON3S); do \
+	set -e ; for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-pymemcache; \
 	done
@@ -26,9 +26,11 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	set -e && for pyvers in $(PYTHONS) $(PYTHON3S); do \
-		python$$pyvers setup.py nosetests ; \
-	done
+	py.test
+	py.test-3
+#	set -e && for pyvers in $(PYTHONS) $(PYTHON3S); do \
+#		python$$pyvers setup.py nosetests ; \
+#	done
 endif
 
 override_dh_clean:

## python-pymemcache 2.2.2

=== debian/changelog ===
python-pymemcache (2.2.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Oct 2019 08:54:29 +0200

python-pymemcache (2.2.2-1) experimental; urgency=medium


  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.
  * d/control: Set Vcs-* to salsa.debian.org

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed fix-setup.cfg-for-tool:pytest.patch applied upstream.
  * Removed Python 2 support (Closes: #938075).
  * Add fix-setup.cfg-for-tool:pytest.patch.
  * Fix d/copyright order and years.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2019 12:27:41 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/pinterest/pymemcache.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_clean:
	rm -rf build
	@echo "Nothing to do"

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	py.test-3
#	set -e && for pyvers in $(PYTHONS) $(PYTHON3S); do \
#		python$$pyvers setup.py nosetests ; \
#	done
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/pinterest/pymemcache/tags .*/(\d[\d\.]+)\.tar\.gz

## python-pymemcache 3.0.1

=== debian/changelog ===
python-pymemcache (3.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 11:30:47 +0200

python-pymemcache (3.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 09:56:02 +0200

## python-pymemcache 3.5.0

=== debian/changelog ===
python-pymemcache (3.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 13:20:05 +0200

python-pymemcache (3.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Aug 2021 10:13:11 +0200

=== debian/control ===
Source: python-pymemcache
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-memcache,
 python3-mock,
 python3-nose,
 python3-pytest,
 python3-pytest-cov,
 python3-six,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pymemcache
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pymemcache.git
Homepage: https://github.com/Pinterest/pymemcache

Package: python3-pymemcache
Architecture: all
Depends:
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: comprehensive, fast, pure Python memcached client - Python 3.x
 Pymemcache is a comprehensive, fast, pure-Python memcached client. It supports
 the following features:
  * Complete implementation of the memcached text protocol.
  * Configurable timeouts for socket connect and send/recv calls.
  * Access to the "noreply" flag, which can significantly increase the speed of
    writes.
  * Flexible, simple approach to serialization and deserialization.
  * The (optional) ability to treat network and memcached errors as cache
    misses.
 .
 This package contains the Python 3.x module.

## python-pymemcache 3.5.2

=== debian/changelog ===
python-pymemcache (3.5.2-1) unstable; urgency=medium

  * Fixed watch file.
  * New upstream release.
  * Switch to debhelper-compat 11.
  * Standards-Version: 4.6.1.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Nov 2022 12:25:43 +0100

python-pymemcache (3.5.0-3) unstable; urgency=medium

  * Switch to pytest (Closes: #1018564).
  * Add autopkgtest.
  * Watch file uses git mode.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Nov 2022 12:17:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools (>= 99~),
  python3-all,
@@ -13,11 +13,10 @@
 Build-Depends-Indep:
  python3-memcache,
  python3-mock,
- python3-nose,
  python3-pytest,
  python3-pytest-cov,
  python3-six,
-Standards-Version: 4.1.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pymemcache
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pymemcache.git
 Homepage: https://github.com/Pinterest/pymemcache

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,8 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	py.test-3
-#	set -e && for pyvers in $(PYTHONS) $(PYTHON3S); do \
-#		python$$pyvers setup.py nosetests ; \
-#	done
+#	py.test-3
+	set -e && for pyvers in $(PYTHON3S); do \
+		python$$pyvers -m pytest -v pymemcache/test ; \
+	done
 endif

## python-pymemcache 4.0.0

=== debian/changelog ===
python-pymemcache (4.0.0-8) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090599).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 23:24:24 +0100

python-pymemcache (4.0.0-7) unstable; urgency=medium

  * Drop extraneous python3-mock build dependency (Closes: #1069950).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Apr 2024 08:49:06 +0200

python-pymemcache (4.0.0-6) unstable; urgency=medium

  * Add remove-test-failing-on-32-bits.patch (Closes: #1055394).
  * Remove (build-)depends on python3-six (Closes: #1055464).

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Nov 2023 16:48:36 +0100

python-pymemcache (4.0.0-5) unstable; urgency=medium

  * Revert previous upload that breaks bookworm.
  * Remove pyproject.toml and patch setup.py.
  * Add empty file py.typed in the module (not sure what it is for, but
    upstream has it in the original MANIFEST.in).

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Oct 2023 14:36:00 +0200

python-pymemcache (4.0.0-4) unstable; urgency=medium

  * Switch to pybuild and poetry, also package client (Closes: #1054117).

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Oct 2023 13:34:43 +0200

python-pymemcache (4.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 22:27:23 +0200

python-pymemcache (4.0.0-2) experimental; urgency=medium

  * Add fix-Multiple-top-level-packages.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Sep 2023 15:00:22 +0200

python-pymemcache (4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Add remove-test-compression.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 14:49:42 +0200

python-pymemcache (3.5.2-2) unstable; urgency=medium

  * Cleans better (Closes: #1047573).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 13:40:19 +0200

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,8 @@
  python3-setuptools,
 Build-Depends-Indep:
  python3-memcache,
- python3-mock,
  python3-pytest,
  python3-pytest-cov,
- python3-six,
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pymemcache
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pymemcache.git
@@ -24,7 +22,6 @@
 Package: python3-pymemcache
 Architecture: all
 Depends:
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Description: comprehensive, fast, pure Python memcached client - Python 3.x

=== debian/rules ===
--- 
+++ 
@@ -4,17 +4,19 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_install:
 	pkgos-dh_auto_install --no-py2
+	touch $(CURDIR)/debian/python3-pymemcache/usr/lib/python3/dist-packages/pymemcache/py.typed
 
 override_dh_auto_build:
 	echo "Do nothing..."
 
 override_dh_auto_clean:
-	rm -rf build
-	@echo "Nothing to do"
+	rm -rf build .stestr *.egg-info .pytest_cache .coverage coverage.xml
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/pinterest/pymemcache.git refs/tags/v(\d[brc\d\.]+)
